Download it now!
Bug 73544 - Please, update Catalan dictionaries and related resources; ca-ES and ca-ES-valencia locales
Summary: Please, update Catalan dictionaries and related resources; ca-ES and ca-ES-va...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: highest normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-01-13 09:00 UTC by jmontane
Modified: 2014-06-26 19:43 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Spelling, hyphenation and tesaurs data for ca-ES and ca-ES-valencia locales (1017.67 KB, application/vnd.openofficeorg.extension)
2014-01-13 09:00 UTC, jmontane
Details
Autocorrect data (14.45 KB, application/octet-stream)
2014-01-13 09:05 UTC, jmontane
Details
Catalan locale settings (15.53 KB, text/xml)
2014-01-13 09:10 UTC, jmontane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmontane 2014-01-13 09:00:27 UTC
Created attachment 91933 [details]
Spelling, hyphenation and tesaurs data for ca-ES and ca-ES-valencia locales

Current dictionaries bundled with 4.2.0.2 RC don't work for ca-ES-valencia, please, update the current bundled extension with the attached one.
Comment 1 jmontane 2014-01-13 09:05:09 UTC
Created attachment 91934 [details]
Autocorrect data

Current a Catalan autocorrect data file doesn't work fine. Renaming a file is needed acor_ca.dat --> acor_ca-ES.dat.

 Renaming acor_ca.dat to acord_ca-ES.dat enable autocorrection features both to ca-ES and ca-ES-valencia locale, tha'ts fine, but currently a single replacements table is showed/used by LibreOffice. Tha'ts a minor bug related with ca-ES-valencia, but it's another issue. So, please, enable acor_ca-ES.dat
Comment 2 jmontane 2014-01-13 09:10:49 UTC
Created attachment 91935 [details]
Catalan locale settings

Attached ca_ES.xml, this version changes default double quotation characters to «,».
Comment 3 jmontane 2014-01-25 19:26:08 UTC
Comment on attachment 91933 [details]
Spelling, hyphenation and tesaurs data for ca-ES and ca-ES-valencia locales

change mime type
Comment 4 sophie 2014-02-11 15:25:09 UTC
Set to new and highest and add it to the MAB so we don't miss it - Sophie
Comment 5 Commit Notification 2014-04-09 11:21:33 UTC
Joan Montane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20fb1bfc72e626251b435bcff2339e1e425c7130

Related: fdo#73544 change double quotation characters



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2014-04-09 11:30:37 UTC
(In reply to comment #1)
> Current a Catalan autocorrect data file doesn't work fine. Renaming a file
> is needed acor_ca.dat --> acor_ca-ES.dat.
> 
>  Renaming acor_ca.dat to acord_ca-ES.dat enable autocorrection features both
> to ca-ES and ca-ES-valencia locale, tha'ts fine, but currently a single
> replacements table is showed/used by LibreOffice. Tha'ts a minor bug related
> with ca-ES-valencia, but it's another issue. So, please, enable
> acor_ca-ES.dat

I don't quite understand. What _exactly_ is the problem that renaming acor_ca.dat to acor_ca-ES.dat would solve?
Comment 7 Commit Notification 2014-04-09 12:30:38 UTC
Joan Montane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=9bc8a1ce80cb0714c15d32e783db54d3cd852789

Related: fdo#73544 update catalan linguistic components



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2014-04-09 12:38:48 UTC
caolanm->erack: Go to tools->autocorrect options->replace and change the language to e.g. en-US and its filled in correctly, choose either of the Catalan options and it remains blank. instdir/share/autocorr/ shows that acor_ca.dat is the only one with an explicit country. Rename it to ca-ES and "pop" the replace tab gets filled.
Comment 9 Commit Notification 2014-04-09 12:47:38 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d80d7e52d25dde05c834c9e87dd6a253bf6fcfed

Resolves: fdo#73544 rename acor_ca to acor-ca-ES



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-04-09 19:24:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41411b99386379ddb5dc5bbe3c5d88bb18ee80a3&h=libreoffice-4-2

Resolves: fdo#73544 rename acor_ca to acor-ca-ES


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-04-09 19:29:09 UTC
Joan Montane committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=a042ec0063d8f6976de5c28d12dd035b67142ad2&h=libreoffice-4-2

Related: fdo#73544 update catalan linguistic components


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2014-04-09 19:35:59 UTC
(In reply to comment #8)
> caolanm->erack: Go to tools->autocorrect options->replace and change the
> language to e.g. en-US and its filled in correctly, choose either of the
> Catalan options and it remains blank. instdir/share/autocorr/ shows that
> acor_ca.dat is the only one with an explicit country. Rename it to ca-ES and
> "pop" the replace tab gets filled.

Sounds like a bug to me, 'ca' should match any locale with Catalan language. Anyhow, if renaming it fixes the symptom we're fine for 4.2
Comment 13 Commit Notification 2014-04-09 19:45:13 UTC
Joan Montane committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c2b6adc526021e485a1264e042f3364813a30df&h=libreoffice-4-2

Related: fdo#73544 change double quotation characters


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.